﻿@model Xtoman.Domain.WebServices.Blockchain.BlockcypherTx
@{
    ViewBag.Title = "تراکنش";
}

@section Head{
    <link href="~/Content/css/Pages/Explorer/Custom.css?v=2" rel="stylesheet" />
}

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <b>کد تراکنش:</b>
                <h2 class="card-title">
                    @Model.Hash
                </h2>
            </div>
        </div>
    </div>
</div>

<div class="dash dash-4">
    <ul>
        <li>
            <span class="dash-label">مقدار کل پردازش شده</span><br>
            @(Model.Total.ToDecimal() / 100000000m) بیت کوین
        </li>
        <li>
            <span class="dash-label">هزینه انتقال</span><br>
            @(Model.Fees.ToDecimal() / 100000000m) بیت کوین
        </li>
        <li>
            <span class="dash-label" title="@Model.Received.DateTime.ToFaDateTimeZone()">
                دریافت شده
            </span><br>
            <i class="fa fa-clock-o"></i>
            <time class="timeago" datetime="2019-10-19T13:28:42Z" title="2019-10-19 13:28 GMT">
                @{var timeAgo = DateTime.UtcNow - Model.Received.DateTime; }
                @if (timeAgo.Days == 0)
                {
                    <span>
                        @timeAgo.Hours ساعت پیش
                    </span>
                }
                else
                {
                    if (timeAgo.Days > 0 && timeAgo.Days < 30)
                    {
                        if (timeAgo.Days == 1)
                        {
                            <span>دیروز</span>
                        }
                        else
                        {
                            <span>
                                @timeAgo.Days روز پیش
                            </span>
                        }
                    }
                }
            </time>
        </li>
        <li>
            <span class="dash-label">
                تعداد کانفیرم
                <button id="confs-hover" type="button" class="btn-link" data-container="body" data-toggle="popover" data-placement="top" data-html="true" data-content='تعداد کانفیرم <strong>@Model.Confirmations</strong>.<br />بالای 6 کانفیرم به معنی تایید کامل تراکنش است.' data-original-title="" title="">
                    <i class="fa fa-info-circle"></i>
                </button>
            </span><br>
            <span id="conf-section" class="@(Model.Confirmations < 6 ? "un" : "")confirmed">
                @if (Model.Confirmations >= 6)
                {
                    <i class="fa fa-lock"></i>
                    <span id="num-confs">
                        +6
                    </span>
                }
                else
                {
                    <i class="fa fa-unlock"></i>
                    <span id="num-confs">
                        @Model.Confirmations
                    </span>
                }
            </span>
        </li>
    </ul>
</div>
